Fixed For The Fourth Dimension Being, Mistake Of Umake Android On Ubuntu 16.04: A Default Framework For Category Android Was Requested Where In That Place Is None

Posted on
Android Studio 2.0 on Ubuntu 16.04

Refer to the concluding post service “Error inwards installing Android Studio on Ubuntu 16.04 using umake“, when I install Android Studio on Ubuntu 16.04 using umake, mistake message present “ERROR: H5N1 default framework for category Android was requested where at that topographic point is none”.


Android studio in addition to the sdk changed the download pages significantly.
They’ve been fixed inwards master, in addition to volition endure working i time again inwards the adjacent release.

If y’all hollo for y’all tin clone the repository in addition to install from that.
It’s less than ideal, simply if it tin help y’all for the fourth dimension being.

git clone https://github.com/ubuntu/ubuntu-make
cd ubuntu-make
bin/umake android

reference: LyzardKing comments in https://github.com/ubuntu/ubuntu-make/issues/302


This video present how:


Onced installed. openjdk version “1.8.0_03-Ubuntu” volition likewise endure installed.


Updated@2016-05-24:
Another approach is to add together the ppa to larn the latest version.
It’s updated ofttimes every minute it’s easier to upload a version to a ppa.

$ sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make
$ sudo apt update
$ sudo apt install ubuntu-make